RedHat sshd.init script typo ?

Jarno Huuskonen jhuuskon at messi.uku.fi
Wed Nov 8 00:11:23 EST 2000


Hi,

I noticed one small possible error in the 
openssh-2.3.0p1/contrib/redhat/sshd.init script.
In the stop option:
        stop)
                echo -n "Shutting down sshd: "
                if [ -f $PID_FILE ] ; then
                        killproc sshd
                        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/sshd
                fi
                echo

Shouldn't there be RETVAL=$? after killproc sshd ?
If this is the case here's a patch:

--- sshd.init~	Mon Oct 16 04:25:17 2000
+++ sshd.init	Tue Nov  7 15:06:16 2000
@@ -72,6 +72,7 @@
 		echo -n "Shutting down sshd: "
 		if [ -f $PID_FILE ] ; then
 			killproc sshd
+			RETVAL=$?
 			[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/sshd
 		fi
 		echo

-Jarno

-- 
Jarno Huuskonen - System Administrator   |  Jarno.Huuskonen at uku.fi
University of Kuopio - Computer Centre   |  Work:   +358 17 162822
PO BOX 1627, 70211 Kuopio, Finland       |  Mobile: +358 40 5388169





More information about the openssh-unix-dev mailing list